%{?nodejs_find_provides_and_requires}
Name:                nodejs-boom
Version:             10.0.0
Release:             1
Summary:             HTTP friendly error objects
License:             BSD-3-Clause
URL:                 https://github.com/spumko/boom
Source0:https://github.com/hapijs/boom/archive/refs/tags/v%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%description
This library provides friendly JavaScript objects that represent HTTP errors.

%prep
%autosetup -n boom-%{version}
%nodejs_fixdep -r @hapi/hoek
chmod 0644 README.md LICENSE.md lib/* package.json
rm -rf node_moudles

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/boom
cp -pr lib package.json %{buildroot}%{nodejs_sitelib}/boom
%nodejs_symlink_deps

%files
%{nodejs_sitelib}/boom
%doc README.md API.md
%license LICENSE.md

%changelog
* Thu Jun 30 2022 chenchen <chen_aka_jan@163.com> - 10.0.0-1
- Update to 10.0.0

* Mon May 9 2022 liyanan <liyanan32@h-partners.com> - 2.10.1-2
- License compliance rectification

* Mon Aug 10 2020 wutao <wutao61@huawei.com> - 2.10.1-1
- package init
